# Form implementation generated from reading ui file 'src/eric7/PipInterface/PipFileSelectionDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_PipFileSelectionDialog(object):
    def setupUi(self, PipFileSelectionDialog):
        PipFileSelectionDialog.setObjectName("PipFileSelectionDialog")
        PipFileSelectionDialog.resize(600, 114)
        PipFileSelectionDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(PipFileSelectionDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.fileLabel = QtWidgets.QLabel(parent=PipFileSelectionDialog)
        self.fileLabel.setObjectName("fileLabel")
        self.verticalLayout.addWidget(self.fileLabel)
        self.filePicker = EricPathPicker(parent=PipFileSelectionDialog)
        self.filePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.filePicker.setObjectName("filePicker")
        self.verticalLayout.addWidget(self.filePicker)
        self.userCheckBox = QtWidgets.QCheckBox(parent=PipFileSelectionDialog)
        self.userCheckBox.setObjectName("userCheckBox")
        self.verticalLayout.addWidget(self.userCheckBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=PipFileSelectionDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(PipFileSelectionDialog)
        self.buttonBox.accepted.connect(PipFileSelectionDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(PipFileSelectionDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(PipFileSelectionDialog)

    def retranslateUi(self, PipFileSelectionDialog):
        _translate = QtCore.QCoreApplication.translate
        PipFileSelectionDialog.setWindowTitle(_translate("PipFileSelectionDialog", "Select File"))
        self.fileLabel.setText(_translate("PipFileSelectionDialog", "File Name:"))
        self.userCheckBox.setToolTip(_translate("PipFileSelectionDialog", "Select to install to the Python user install directory"))
        self.userCheckBox.setText(_translate("PipFileSelectionDialog", "Install into User Directory"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
